2016-09-30 12:59 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001033OpenFOAM[All Projects] Bugpublic2014-12-31 19:10
Reporterguanghaowu 
Assigned Tohenry 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSCentOSOS Version5.9
Product Version 
Target VersionFixed in Version 
Summary0001033: Compilation error with -DFOAM_LABEL64 option
DescriptionAfter adding -DFOAM_LABEL64 into OpenFOAM-2.2.x/wmake/rules/General/general as follows,

GFLAGS = -D$(WM_ARCH) -DWM_$(WM_PRECISION_OPTION) -DFOAM_LABEL64

I compiled source files with Allwmake. Below is the error message

surfaceFormats/obj/OBJstream.C: In member function ‘virtual Foam::Ostream& Foam::OBJstream::write(const Foam::string&)’:
surfaceFormats/obj/OBJstream.C:108:40: error: call of overloaded ‘write(Foam::token::punctuationToken)’ is ambiguous
surfaceFormats/obj/OBJstream.C:108:40: note: candidates are:

Is it Bug?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002528

wyldckat (updater)

This is related to the report #903: http://www.openfoam.org/mantisbt/view.php?id=903

~0002529

guanghaowu (reporter)

Last edited: 2013-10-03 07:06

View 2 revisions

However, I have modified some source files as follows. It works except scotch and ptscoth.

-------------------
(1)
OpenFOAM/OpenFOAM-2.2.x/src/surfMesh/surfaceFormats/obj/OBJstream.C
Line108, 144, 157, 196

    OFstream::write(token::BEGIN_STRING);
=>
    write(token::BEGIN_STRING);

   OFstream::write(token::END_STRING);
>=
    write(token::END_STRING);

(2)
OpenFOAM/OpenFOAM-2.2.x/src/meshTools/algorithms/PatchEdgeFaceWave/PatchEdgeFaceWave.H

template
<
    class PrimitivePatchType,
    class Type,
    class TrackingData = int
>

=>

template
<
    class PrimitivePatchType,
    class Type,
    class TrackingData = label
>

(3)
OpenFOAM/OpenFOAM-2.2.x/src/mesh/autoMesh/autoHexMesh/autoHexMeshDriver/
autoSnapDriver.C Line1379

            meshRefinement::updateList(mapPtr().faceMap(), -1, filterFace);
=>
            meshRefinement::updateList(mapPtr().faceMap(), label(-1),
filterFace);

(4)
OpenFOAM/OpenFOAM-2.2.x/src/mesh/autoMesh/autoHexMesh/autoHexMeshDriver/
autoSnapDriverFeature.C Line225 Line289

            0,
=>
            label(0),

(5)
OpenFOAM/OpenFOAM-2.2.x/applications/utilities/mesh/manipulation/orientFaceZone/orientFaceZone.C
Line147

            0
=>
            label(0)

~0003426

henry (manager)

Resolved by commit 2a614865fff303855db7403e145452f909e23ffa

in https://github.com/OpenFOAM/OpenFOAM-dev
+Notes

-Issue History
Date Modified Username Field Change
2013-10-02 00:53 guanghaowu New Issue
2013-10-02 09:01 wyldckat Note Added: 0002528
2013-10-03 07:06 guanghaowu Note Added: 0002529
2013-10-03 07:06 guanghaowu Note Edited: 0002529 View Revisions
2014-12-31 19:10 henry Note Added: 0003426
2014-12-31 19:10 henry Status new => resolved
2014-12-31 19:10 henry Resolution open => fixed
2014-12-31 19:10 henry Assigned To => henry
+Issue History